Bug 481701 - Review Request: python-TraitsGUI - Traits-capable windowing framework
Review Request: python-TraitsGUI - Traits-capable windowing framework
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Orcan Ogetbil
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 481759 482216
  Show dependency treegraph
 
Reported: 2009-01-27 03:17 EST by Rakesh Pandit
Modified: 2009-07-03 15:56 EDT (History)
3 users (show)

See Also:
Fixed In Version: 3.0.4-4.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-09 00:56:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
oget.fedora: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Rakesh Pandit 2009-01-27 03:17:58 EST
Description:
The TraitsGUI project contains a toolkit-independent GUI abstraction layer (known as Pyface), which is used to support the "visualization" features of the Traits package.

SPEC: http://rakesh.fedorapeople.org/spec/python-TraitsGUI.spec
SRPM: http://rakesh.fedorapeople.org/srpm/python-TraitsGUI-3.0.3-1.fc10.src.rpm

Need for Mayavi packaging.
Comment 2 Rakesh Pandit 2009-01-27 09:57:40 EST
removed dependency - not applicable.
Comment 3 Orcan Ogetbil 2009-04-01 02:42:06 EDT
Hi Rakesh,
I had a quick look at your SPEC file. There are few things I would like you to do before the full review.

* Please update to the latest version (3.0.4)

* %{version} should be dropped from URL.

* Please make the description span 80 columns.

* For macro consistency you should either convert X to %{__X}, where X=(sed,mv,rm), or convert %{__python} to python

* Please preserve the timestamps of the .txt files.
Comment 4 Rakesh Pandit 2009-05-02 05:43:41 EDT
> * Please update to the latest version (3.0.4)

         It is too new to take up and not much changes ... as this package is dependency for whole Mayavi stack which is very big... I would only take it .. after it goes some thorough testing. The one I am using is tested with other packages.

> * %{version} should be dropped from URL.

Done

> * Please make the description span 80 columns.

It was already under 80 columns. Still I have adjusted a bit.

>* For macro consistency you should either convert X to %{__X}, where
>X=(sed,mv,rm), or convert %{__python} to python


Done.

> * Please preserve the timestamps of the .txt files.  

https://fedoraproject.org/wiki/Common_Rpmlint_issues#file-not-utf8

to convert files not in utf8 to utf8 .. I am using above method. Due you have a better way to save timestamp here? I don't know .. whether it is worth for these files.


Updated:
http://rakesh.fedorapeople.org/srpm/python-TraitsGUI-3.0.3-3.fc10.src.rpm
http://rakesh.fedorapeople.org/spec/python-TraitsGUI.spec


Thanks,
Comment 6 Orcan Ogetbil 2009-05-02 12:51:58 EDT
OK, I checked everything including the license mess (upstream did a good job in classifying things though). There are a few minor issues and questions:

! The md5sum you put in the specfile is wrong. But you don't need to put an md5sum there anyway.

* Each package must consistently use macros: %{__python} needs to be converted to python

* The new guidelines prefer usage of %global over %define. See:
   http://fedoraproject.org/wiki/Packaging/Python#System_Architecture

? Is there a way of generating/packaging the API docs? How about the docs directory?

? How about the examples directory?
Comment 7 Rakesh Pandit 2009-05-24 05:45:07 EDT
ping ?:)

! The md5sum you put in the specfile is wrong. But you don't need to put an
md5sum there anyway.

Fixed.

* Each package must consistently use macros: %{__python} needs to be converted
to python

Fixed.

* The new guidelines prefer usage of %global over %define. See:
   http://fedoraproject.org/wiki/Packaging/Python#System_Architecture

Fixed.

? Is there a way of generating/packaging the API docs? How about the docs
directory?

I don't see an easy way.

? How about the examples directory?

Fixed.

http://rakesh.fedorapeople.org/spec/python-TraitsGUI.spec
http://rakesh.fedorapeople.org/srpm/python-TraitsGUI-3.0.4-2.fc10.src.rpm
Comment 8 Orcan Ogetbil 2009-06-08 00:03:24 EDT
Thanks. Now we have the rpmlints:
python-TraitsGUI.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/python-TraitsGUI-3.0.4/examples/images/image_LICENSE.txt
python-TraitsGUI.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/python-TraitsGUI-3.0.4/examples/workbench/images/image_LICENSE.txt
python-TraitsGUI.noarch: W: spurious-executable-perm /usr/share/doc/python-TraitsGUI-3.0.4/examples/workbench/blue_view.py
python-TraitsGUI.noarch: W: spurious-executable-perm /usr/share/doc/python-TraitsGUI-3.0.4/examples/workbench/red_view.py
python-TraitsGUI.noarch: W: spurious-executable-perm /usr/share/doc/python-TraitsGUI-3.0.4/examples/workbench/black_view.py
python-TraitsGUI.noarch: W: spurious-executable-perm /usr/share/doc/python-TraitsGUI-3.0.4/examples/workbench/green_view.py
python-TraitsGUI.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/python-TraitsGUI-3.0.4/examples/workbench/person.py
python-TraitsGUI.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/python-TraitsGUI-3.0.4/examples/workbench/example_workbench_window.py
python-TraitsGUI.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/python-TraitsGUI-3.0.4/examples/dock/images/image_LICENSE.txt
python-TraitsGUI.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/python-TraitsGUI-3.0.4/examples/workbench/example_workbench.py
python-TraitsGUI.noarch: W: spurious-executable-perm /usr/share/doc/python-TraitsGUI-3.0.4/examples/workbench/yellow_view.py

When these are fixed, the package is good to go.
Comment 10 Orcan Ogetbil 2009-06-08 00:48:09 EDT
Thanks. Everything is good now. "sed -i" modifies the timestamps, you might consider preserving them but it's no big deal.

---------------------------------------------------
This package (python-TraitsGUI) is APPROVED by oget
---------------------------------------------------
Comment 11 Rakesh Pandit 2009-06-08 00:54:31 EDT
Thanks,

New Package CVS Request
=======================
Package Name: python-TraitsGUI
Short Description: Traits-capable windowing framework
Owners: rakesh
Branches: F-9 F-10 F-11
InitialCC:
Comment 12 Jason Tibbitts 2009-06-08 12:29:19 EDT
CVS done.
Comment 13 Fedora Update System 2009-06-09 00:53:48 EDT
python-TraitsGUI-3.0.4-4.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/python-TraitsGUI-3.0.4-4.fc9
Comment 14 Fedora Update System 2009-06-09 00:54:28 EDT
python-TraitsGUI-3.0.4-4.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/python-TraitsGUI-3.0.4-4.fc10
Comment 15 Fedora Update System 2009-06-09 00:55:29 EDT
python-TraitsGUI-3.0.4-4.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/python-TraitsGUI-3.0.4-4.fc11
Comment 16 Fedora Update System 2009-07-03 15:40:29 EDT
python-TraitsGUI-3.0.4-4.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 17 Fedora Update System 2009-07-03 15:43:09 EDT
python-TraitsGUI-3.0.4-4.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 18 Fedora Update System 2009-07-03 15:56:28 EDT
python-TraitsGUI-3.0.4-4.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.